//---------------------------------------------------------------------------------------------
// Include-  DLL- lcard_ad.dll
//        LTC
// (C)opyright AO L-Card 1995, 96
//---------------------------------------------------------------------------------------------
#ifndef __LC_CRAIT_H
#define __LC_CRAIT_H

#include "lc_defin.h"
extern "C" {
   void  _EXPORT INSTALL_ERROR_HANDLER(void);   // TMP!!!
   int   _EXPORT GET_STATUS(void);

  
   void  _EXPORT CONFIG_TX_CHANNEL_LCI01(int Channel);
   void  _EXPORT CONFIG_RX_CHANNEL_LCI01(int Channel);
   void  _EXPORT SET_CRAIT_ADDRESS_LCI01(int Address);
   int   _EXPORT LOAD_BIOS_LC010(char* BiosCode);
   void  _EXPORT SET_TIMER_SCALE_LCI01(int value);   

   /* Aec */
   void  _EXPORT SET_BASE_ADDRESS_LC014(int Address);
   int   _EXPORT LOAD_BIOS_LC014(char* BiosCode);

   void  _EXPORT EXECUTE_COMMAND_CC(int Code, int NWordsOut,WORD* WordsOut, int NWordsIn, WORD* WordsIn);
   int   _EXPORT PLATA_TEST_CC(void);
   int   _EXPORT MEMORY_STATE_CC(void);
   int   _EXPORT MEMORY_PM_STATE_CC(void);

   void  _EXPORT SET_CALIBR_MODE_CC(int CalibrMode);
   void  _EXPORT READ_CALIBR_CC(void);

   void  _EXPORT OUTDA_LC301(int Slot, int Code1, int Code2);

   short _EXPORT SAMPLE_LC301(int Slot_301, int SourceSlot, int LogChannel);
   short _EXPORT SAMPLE_LC111(int Slot_111, int LogChannel);

   void  _EXPORT SET_FIFO_SIZE_CC(int FifoSize);
   void  _EXPORT CONFIG_FIFO_CC(int FirstFifoPage, int LastFifoPage);
   void  _EXPORT SOFT_CONFIG_CC(int Slot_301, int NChannel, WORD* Channels, int Rate);
   void  _EXPORT SOFT_START_CC(void);
   void  _EXPORT SOFT_STOP_CC(void);
   int   _EXPORT GET_NWORDS_CC(unsigned long* NWords);
   void  _EXPORT GET_SOFT_DATA_CC(short* Datad, int NWords);
   void  _EXPORT WAIT_SOFT_DATA_CC(short* Datad, int NWords);
   void  _EXPORT SOFT_CC(int Slot_301, int NChannel, WORD* Channels, int NKadr, int Rate, short* Datad);

   /* p⭮   pp樨 */
   void  _EXPORT FAST_SOFT_IRQ_START_CC(INT_HANDLER Handler);
   void  _EXPORT GET_FAST_SOFT_DATA(short *Datad, int NWords);

   /* p⭮   pp뢠 */
   void  _EXPORT FAST_SOFT_START_CC(void);
   void  _EXPORT GET_FAST_SOFT_IRQ_DATA(short* Datad, int NWords);
   void  _EXPORT FAST_SOFT_IRQ_STOP_CC();

   /*   p樧  AD7714                                     */
   void  _EXPORT ENABLE_7710(int Slot, int Enable);
   int   _EXPORT GET_CTRL_LC301(int Slot);
   void  _EXPORT SET_CTRL_LC301(int Slot, int CtrlWord);


   /*   p樧  AD7710                                     */
   void  _EXPORT READ_REG_7710(int Slot, int A0, const int* Datad);
   void  _EXPORT WRITE_REG_7710(int Slot, int A0, int* Datad);

   /*   pp ᨣ p쭮 p LC351               */
   int   _EXPORT LOAD_BIOS_LC351(int Slot, char* BiosCode);
   int   _EXPORT MEMORY_STATE_LC351(int Slot);
   void  _EXPORT SET_CTRL_LC351(int Slot, int AttenMode, int CommutMode);

   void  _EXPORT OUTDA_LC351(int Slot, int Coded);
   void  _EXPORT LOAD_DATA_LC351(int Slot, int Page, int NWords, int* Datad);
   void  _EXPORT START_OUT_LC351(int Slot, int NWords, int Delay);

   int   _EXPORT LOAD_BIOS_LC451(int Slot,char* LCBios);

   /*   p묨 ﬨ  좠᪮ p離               */
   /* LC402 (室 TTL)  LC401 (室 TTL)                                 */
   int   _EXPORT INP_DIGITS_401(int Slot);
   void  _EXPORT ENABLE_IRQ_401(int Slot, int Enable);
   void  _EXPORT OUT_DIGITS_402(int Slot, int Data);
   void  _EXPORT ENABLE_IRQ_402(int Slot, int Enable);

   void  _EXPORT OUT_DIGITS_403(int Slot, long Data);
   DWORD _EXPORT INP_DIGITS_403(int Slot);
   void  _EXPORT ENABLE_IRQ_403(int Slot, int Enable);
   void  _EXPORT ENABLE_OUT_403(int Slot, int EnableMask);
   int   _EXPORT READ_IO_403(int Slot);
   void  _EXPORT RESET_ANSW_403(int Slot);

   /* LC201, LC210 - 䨫p - ᨫ⥫ */
   void  _EXPORT PROGRAM_FILTER_LC201(int Slot, int Freq);
   void  _EXPORT PROGRAM_USIL_LC201(int Slot, int Channel, int Kusil);
   void  _EXPORT PROGRAM_FILTER_LC210(int Slot, int Freq);
   void  _EXPORT PROGRAM_USIL_LC210(int Slot, int Channel, int Kusil);

   /*   p奬 EEPROM, pᯮ묨                */
   int   _EXPORT READ_FLASH_CC(int Slot, int Addr);
   void  _EXPORT WRITE_FLASH_CC(int Slot, int Addr, int Data);
   void  _EXPORT WRITE_EN_DS_CC(int Slot, int Enable);

   /*   p pp⢮ p-pp                    */
   void  _EXPORT PUT_REMOTE_WORD_CC(WORD Addr, WORD Data);
   int   _EXPORT GET_REMOTE_WORD_CC(int Addr);
   void  _EXPORT PUT_REMOTE_ARRAY_CC(int aPage, int Addr, int NWords, int* Datad);
   void  _EXPORT GET_REMOTE_ARRAY_CC(int aPage, WORD Addr, unsigned NWords, WORD* Datad);

   /* pp뢠                                                           */
   void  _EXPORT SET_IRQ_MASK_CC(int IrqMask);
   void  _EXPORT GET_MODULE_IRQ(int* IrqCount, int* IrqMarkers);
   void  _EXPORT SELECT_MU(int Slot);

   void  _EXPORT LOW_POWER(int IsLowPower);
   void  _EXPORT OUTDA_LC302(int Slot, int Channel, int Datad);
   void  _EXPORT KADR_LC302(int Slot, int* ChanAndData, int NChannel);
   void  _EXPORT SET_CTRL_LC302(int Slot, int CtrlWord);


   /* 㫨 ⥭稪  p LC201, LC210 */
   /* p 㭪樨  p p奬  㫥 */
   void  _EXPORT PROGRAM_AD8402(int Slot, int ChanExt, int ChanInt, int Data);
   void  _EXPORT PROGRAM_MAX   (int Slot, int ChanExt, long Data);
   void  _EXPORT OUTDA_AD8842  (int Slot, int ChanInt, int Datad);


   /*   8- ⮬p LC451  */
   int   _EXPORT LOAD_BIOS_LC451(int Slot, char* BiosCode);



   /*  ⫠ 㭪樨                                             */
   void  _EXPORT FORCE_INTER_DELAY_CC(int InterDelay);
   void  _EXPORT CONNECT_LC501(int Slot, long Connection);

   void  _EXPORT INTR_SETUP(int irq_number);
   void  _EXPORT RESET_IRQ(void);
   void  _EXPORT STOP_INTR(void);

};  /* extern "C" */
#endif
