//-----------------------------------------------------------------------------
// Include-  DLL- lcard_ad.dll
//    
// !   DLL    LBIOS_DLL !
// (C)opyright AO L-Card 1995, 96
//-----------------------------------------------------------------------------
#ifndef __LC_DEFIN_H
#define __LC_DEFIN_H

#include <windows.h>            // WIN32, FAR
//    _EXPORT
#ifdef WIN32
   //   WIN32
   #ifdef LBIOS_DLL
      #define _EXPORT __stdcall
   #else
      #define _EXPORT
   #endif
   #ifndef INT_HANDLER
      //      void interrupt f(HANDLER_PARM)
      #define HANDLER_PARM
      typedef void (__interrupt __far *INT_HANDLER)(HANDLER_PARM);
   #endif
#else
   //   WIN16
   #ifdef LBIOS_DLL
      #define _EXPORT __pascal FAR __loadds
   #else
      #define _EXPORT __pascal FAR
   #endif
   #ifndef INT_HANDLER
      //      void interrupt f(HANDLER_PARM)
      //   PARM:
      #define HANDLER_PARM
      typedef void interrupt (*INT_HANDLER)(HANDLER_PARM);
   #endif
#endif

//-----------------------------------------------------------------------------
//     
//-----------------------------------------------------------------------------
#define NO_BOARD          0
#define L305              1
#define L1610             2
#define L1250             3
#define L154              4
#define L164              5
#define L1056             6
#define L1208             7
#define L264              8
#define E330              9
#define L1210            10
#define CRAIT           128

//-----------------------------------------------------------------------------
//  -    E330  EPP -
//-----------------------------------------------------------------------------
#define EPP_INTERFACE         0
#define BIDIR_INTERFACE       2
#define SERIAL_INTERFACE      1
#define AUTODETECT_INTERFACE -1






//-----------------------------------------------------------------------------
//     dmm
//    DMA:    
//-----------------------------------------------------------------------------
#define DMM_SINGLE   0
#define DMM_AUTOINIT 1

//-----------------------------------------------------------------------------
//    DMA:   
//-----------------------------------------------------------------------------
#define DMM_READ     0
#define DMM_WRITE    2





//-----------------------------------------------------------------------------
// ,    LTC
//    DMA:    
//-----------------------------------------------------------------------------
#define REG(Slot,NReg) (assert(NReg<15), 0x3000 + (NReg) + (Slot)*8 )
#define REG0(Slot) (REG(Slot,0))
#define REG1(Slot) (REG(Slot,1))
#define REG2(Slot) (REG(Slot,2))
#define REG3(Slot) (REG(Slot,3))
#define REG4(Slot) (REG(Slot,4))
#define REG5(Slot) (REG(Slot,5))
#define REG6(Slot) (REG(Slot,6))
#define REG7(Slot) (REG(Slot,7))

/* Possible results for GET_STATUS                    */
//#define NO_ERROR              0
#define ERROR_SERIAL_TIMEOUT  1
#define ERROR_SERIAL_TIMEOUT2 2
#define ERROR_EPP_TIMEOUT     4
#define ERROR_FIFO_OVERFLOW   16
#define ERROR_USIL_202        64

#define ERROR_FIFO_OVERFLOW 16

#endif  // ifndef __LC_DEFIN

